Subject: RE: compiling a linux kernel
From: "Suhaib M. Siddiqi" <[email-masked]>
To: "Gokhan Tanyeri" <[email-masked]>, "'Suhaib M. Siddiqi'" <[email-masked]>
Cc: <[email-masked]>
Date: Thu, 21 Oct 1999 20:17:57 -0400

I only once tried compiling a Linux application on NT using cross-compiler.
The
app needed Linux kernel headers, which i copied from my Linux box to NT.
The end result was, I had to spend much more time hacking around the code,
which was
not worth it.  I would rather boot into my RedHat partition, and compile
there..
it will save much more time.  If you PPC cross compiler on your x86 linux
you
could certainly compile PPCLinux kernel on x86.

Suhaib

> -----Original Message-----
> From: Gokhan Tanyeri [mailto:[email-masked]]
> Sent: Thursday, October 21, 1999 8:15 PM
> To: 'Suhaib M. Siddiqi'
> Cc: [email-masked]
> Subject: RE: compiling a linux kernel
>
>
> The trouble as Erik has aready guessed, I don't have a PPC-linux platform.
> Although I do have a Linux-x86 (I have a dual boot Linux/NT set-up), it
> would have been more practical to have my compilation on NT. Just to save
> booting into Linux and then NT etc.
>
> I would switch to Linux-x86 if I don't hear from someone who has already
> done this. When I saw the list of applications compiled with cygwin
> (including Apache), I got motivated, thinking all I need is configuration
> and compilations. I was wondering if I could go over the make dep problem,
> "mmap: out of memory" if I can then compile the kernel?!
>
> thanks for the helps anyway :)
> gokhan
>
>
> -----Original Message-----
> From: Suhaib M. Siddiqi [mailto:[email-masked]]
> Sent: Friday, October 22, 1999 9:56 AM
> To: Gokhan Tanyeri; [email-masked]
> Cc: [email-masked]
> Subject: RE: compiling a linux kernel
>
>
>
> >
> > If you read my previous message you will see that it's a cross
> compilation
> > for powerPC (ie it's going to be loaded on a powerPC based
> > embedded board ;)
>
> Then just compile it on PPC.  I am almost certain you would be spending
> a lot of time experimenting. Compiling on LinuxPPC will save you
> precious time.
>
>
> >
> > -----Original Message-----
> > From: Suhaib Siddiqi [mailto:[email-masked]]
> > Sent: Thursday, October 21, 1999 8:50 PM
> > To: Gokhan Tanyeri; 'Suhaib M. Siddiqi'
> > Cc: [email-masked]
> > Subject: RE: compiling a linux kernel
> >
> >
> >
> >
> > Let's assume you compile Linux kernel on Nt with Cygwin then what?
> >
> >
> > > -----Original Message-----
> > > From: Gokhan Tanyeri [mailto:[email-masked]]
> > > Sent: Wednesday, October 20, 1999 9:54 PM
> > > To: 'Suhaib M. Siddiqi'
> > > Cc: [email-masked]'
> > > Subject: RE: compiling a linux kernel
> > >
> > >
> > >
> > > That's why I'm asking to people with experience, if you
> > > give me a scientific
> > > reason I would appreciate a lot. What I understand from
> > > cygwin concept is
> > > "to be able to use open source on widows platforms".
> > > That's what I'm trying
> > > to do! Trying to compile linux kernel for a cross
> > > platform by using GNU
> > > tools instead of using a linux host, I'm using cygwin
> > > running on NT.
> > >
> > > cheers :)
> > > gokhan
> > >
> > > > -----Original Message-----
> > > > From: Gokhan Tanyeri [mailto:[email-masked]]
> > > > Sent: Wednesday, October 20, 1999 9:36 PM
> > > > To: 'Suhaib M. Siddiqi'
> > > > Subject: RE: compiling a linux kernel
> > > >
> > > >
> > > > It's a cross compilation for PowerPC, using gcc. I use my PC
> > > > (running NT) as
> > > > the host instead of a linux machine! Does it sound too weird? ;)
> > >
> > > For compiling Linux Kernel, yes sounds starnge
> > >
> > > Suhaib
> > >
> > > >
> > > > cheers,
> > > > gokhan
> > > >
> > > >
> > > > -----Original Message-----
> > > > From: Suhaib M. Siddiqi [mailto:[email-masked]]
> > > > Sent: Thursday, October 21, 1999 11:14 AM
> > > > To: Gokhan Tanyeri; [email-masked]
> > > > Subject: RE: compiling a linux kernel
> > > >
> > > >
> > > > Compiling Linux Kernel with Cygwin on NT???
> > > >
> > > > Suhaib
> > > >
> > > > > -----Original Message-----
> > > > > From: [email-masked]
> > > > > [mailto:[email-masked]]On Behalf
> > > Of Gokhan Tanyeri
> > > > > Sent: Wednesday, October 20, 1999 9:03 PM
> > > > > To: [email-masked]'
> > > > > Subject: compiling a linux kernel
> > > > >
> > > > >
> > > > > Hi everybody,
> > > > > I am trying to compile a Linux kernel with GNU
> > > powerPC tools on a
> > > > > NT machine
> > > > > running cygwin b20.1. Make configure goes well but
> > > when I try to
> > > > > make dep, I
> > > > > get an error something like"mmap: out of memory". Has anyone
> > > > > tried compiling
> > > > > a linux kernel with cygwin? Is it possible to do that
> > > or is it
> > > > > just silly to
> > > > > try this?
> > > > > thanks in advance,
> > > > > cheers,
> > > > > Gokhan Tanyeri
> > > > >
> > > > >
> > > > > --
> > > > > Want to unsubscribe from this list?
> > > > > Send a message to [email-masked]
> > > > >
> > > >
> > >
> >
> > --
> > Want to unsubscribe from this list?
> > Send a message to [email-masked]
> >
>

--
Want to unsubscribe from this list?
Send a message to [email-masked]